Skip to main content
PUT
Update monitoring rule

Authorizations

x-api-key
string
header
required

API key for authentication

Path Parameters

organization_id
string
required

Organization ID

rule_id
string
required

Monitoring rule ID

Body

application/json
extension_id
string

Extension ID to monitor

watch_all
boolean

Whether to watch all items

watch_items
enum<string>[]

Specific items to watch

Available options:
version,
manifest,
visibility,
ownership,
verdict,
score,
code_changes
Example:
destination_id
string

Destination ID for notifications

note
string

Rule note

Response

Rule updated successfully

result
object[]